## org.hibernate.engine.jdbc.spi
Interface SchemaNameResolver

    public interface SchemaNameResolver

Contract for resolving the schema of a `Connection`.

Method Summary
`String` `resolveSchemaName(Connection connection)` Given a JDBC `Connection`, resolve the name of the schema (if one) to which it connects.

Method Detail

### resolveSchemaName

    String resolveSchemaName(Connection connection)

  Given a JDBC `Connection`, resolve the name of the schema (if one) to which it connects.

  Parameters:
    `connection` - The JDBC connection
  Returns:
    The name of the schema (may be null).

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.